#eMap {
    display: grid;
    grid-template-areas: 'msg msg'
                         'filter map'
                         'stat stat';
    grid-template-rows: 1px 610px 1fr auto;
    grid-template-columns: 245px 1fr;
    grid-gap: 5px;
    margin-top: 5px;
    background-color: rgba(255, 255, 255, 0.5);
}

#e_map {
    grid-area: map;
    z-index: 100;
}

#eMap_controlPanel {
    grid-area: filter;
    position: relative;

    width: 230px;
    height: 100%;
    padding: 5px;

    display: grid;
    grid-template-rows: 50px 40px 1fr;
    grid-template-columns: 1fr;
}

#eMap_controlPanel > div {
    width: 230px;
}

#eMap_controlPanel .eMap_accordion_filter > * > div {
    width: 210px;
}

#eMap_controlPanel .eMap_region_warning {
    width: 230px;
    margin-left: 10px;
    padding-bottom: 10px;
    font-family: 'Noto Sans';
    font-size: 12px;
    line-height: 12px;
    color: #5d5d5d;
}

#eMap_controlPanel h3 {
    font-size: 14px;
}

#eMap_accordion_filter .ui-accordion-header {
    font-weight: bold;
}

#eMap_accordion_filter .ui-accordion-header-active {
    background-color: #186EA8;
    border-color: #186EA8;
}

#eMap_accordion_filter.ui-accordion .ui-accordion-content {
    padding: 5px 0 !important;
    overflow: visible;
}

#eMap_accordion_filter .filters {
    display: grid;
    grid-template-rows: 1fr 120px;
    justify-items: center;
    align-items: start;
}

#eMap_accordion_filter .filters.accidents {
    display: grid;
    grid-template-rows: 1fr 70px;
}

#eMap_accordion_filter .filters > * > .eMap_fltr_btn {
    color: white;
    margin-left: 10px;
    width: 210px;
}

#eMap_accordion_filter .filters > * > .eMap_fltr_btn.disabled {
    opacity: 0.5;
}
#eMap_accordion_filter .filters > * > .eMap_fltr_btn.disabled:hover {
    background-color: rgb(0, 100, 159);
}

#eMap_accordion_filter .filters > * > .statLink {
    margin-top: 0;
}


#eMap_controlPanel .filters .notify {
    width: 210px;
    margin-left: 10px;
    padding-top: 10px;
    padding-bottom: 10px;
    font-family: 'Noto Sans';
    line-height: 12px;
    font-size: 12px;
    color: #748303;
}

#eMap_controlPanel .dorInnerCaption {
    margin-top: 10px;
    font-family: 'Noto Sans';
}

.StatTableContainer {
    grid-area: stat;
    overflow: hidden;
    margin-top: 5px;
}

.StatTableContainer > div {
    padding: 10px;
    border: 1px solid #2385bf;
    margin-top: 10px;
}


.dui-dropdown_open .dui-dropdown__body {
    z-index: 10000;
}

.DorControlContainer {
    height: 200px;
}

.DorControlContainer .DorRegionListContainerSearch, .DorListContainerSearch, .RegionControlInnerSearch, .DorControlInnerSearch {
    border: 0px solid #FFFFFF;
    border-bottom: 2px solid white;
    width: 198px;
    height: 37px;
    color: #74808F;
    font-size: 14px;
    background: transparent;
}

.ComboList.place_dor {
    height: 230px;
}

#places_region, #place_date, #accidents_region, #accidents_date, #accidents_type, #offences_region, #offences_date, #offences_koap_type {
    padding-bottom: 5px;
}

table.places_stat {
    width: 100%;
    height: 100px;
    table-layout: fixed;
    padding: 0;
    border-spacing: 0;
    background: url("../img/ground2.png") repeat;
}

table.places_stat tr {
    height: 46px;
}

table.places_stat td {
    text-align: center;
    padding-left: 5px;
    padding-right: 5px;
}

table.places_stat td.stat_panels_cap {
    float: none;
    margin-left: 10px;
    height: auto;
    width: auto !important;
    padding: 0;
}

table.places_stat td.stat_panels_val_cap {
    float: none;
    height: auto;
    width: auto !important;
    padding-left: 10px;
    padding-right: 10px;
    background: url("../img/ground2.png") repeat;
}

table.places_stat td.stat_panels_val {
    float: none;
    height: auto;
    width: auto !important;
    padding: 0;
    font-weight: bold;
    color: black;
    font-size: 23px;
}

table.places_cp_detail {
    width: 100%;
    height: 100%;
    padding: 0;
    border-spacing: 0;
}

.places_cp_detail table td {
    vertical-align: top;
    padding-top: 5px;
    padding-bottom: 5px;
}

.places_cp_detail label {
    display: inline-block;
    cursor: pointer;
    position: relative;
    padding: 0;
    margin-right: 5px;
    font-size: 10pt;
    line-height: 20px;
    font-weight: bold;
    color: #282828
}

.places_cp_detail label.checkbox {
    margin-right: 0;
    margin-left: 5px;
}

.places_cp_detail label:before {
    content: "";
    background: none;
}

.places_cp_detail span.place_cp_val {
    font-size: 10pt;
    line-height: 20px;
    margin-right: 10px;
}

.places_cp_detail span.header {
    font-size: 12pt;
    line-height: normal;
    font-weight: bold;
}


.places_cp_detail .data {
    height: 140px;
    width: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    position: relative;
    border: 1px solid silver;
}

.places_cp_detail .data thead tr:first-child th {
    position: sticky;
    top: -1px;
}

.places_cp_detail .data table {
    width: 100%;
    height: auto;
    border: 1px solid silver;
    table-layout: fixed;
}

.places_cp_detail .data thead th {
    background-color: #E6E6E6;
    color: #555555;
    font-weight: bold;
    text-align: center;
    font-size: 10pt;
    padding-left: 6px;
    padding-right: 6px;
}

.places_cp_detail .data thead th:first-child {
    text-align: left;
}

.places_cp_detail .data thead th:last-child {
    text-align: center;
}

.places_cp_detail .data tbody td {
    border: 1px solid silver;
    padding: 5px;
    font-size: 10pt;
}

.places_cp_detail .data tbody td:first-child {
    text-align: left;
}

.places_cp_detail .data tbody td:last-child {
    text-align: center;
}


.places_cp_detail .data.dtp thead th:first-child {
    text-align: center;
}

.places_cp_detail .data.dtp thead th:last-child {
    text-align: left;
}

.places_cp_detail .data.dtp tbody td:first-child {
    text-align: center;
}

.places_cp_detail .data.dtp tbody td:last-child {
    text-align: left;
}

.places_cp_detail .dtps {
    height: 200px;
    overflow-x: hidden;
    overflow-y: scroll;
    position: relative;
}

.ui-widget-header {
    background: none !important;
    background-color: white !important;
    border: 0;
}

.ui-widget-header {
    border: none !important;
}

.ui-button.ui-widget.ui-state-default.ui-corner-all.ui-button-icon-only.ui-dialog-titlebar-close {
    display: none !important;;
}

.ui-dialog-title {
    font-size: 12pt !important;
}

.ui-tabs .ui-tabs-nav {
    font-size: 10pt !important;
}

.eMap_fltr_btn {
    margin-bottom: 10px;
    display: block;
}

.ui-button-text {
    font-size: 10pt;
}

/* LEAFLET ADDITION */

.leaflet-bar.leaflet-control .collapse {
    background-color: #FFFFFF;
    background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAyZpVFh0WE1MOmNvbS5hZG9iZS54bXAAAAAAADw/eHBhY2tldCBiZWdpbj0i77u/IiBpZD0iVzVNME1wQ2VoaUh6cmVTek5UY3prYzlkIj8+IDx4OnhtcG1ldGEgeG1sbnM6eD0iYWRvYmU6bnM6bWV0YS8iIHg6eG1wdGs9IkFkb2JlIFhNUCBDb3JlIDUuNS1jMDIxIDc5LjE1NTc3MiwgMjAxNC8wMS8xMy0xOTo0NDowMCAgICAgICAgIj4gPHJkZjpSREYgeG1sbnM6cmRmPSJodHRwOi8vd3d3LnczLm9yZy8xOTk5LzAyLzIyLXJkZi1zeW50YXgtbnMjIj4gPHJkZjpEZXNjcmlwdGlvbiByZGY6YWJvdXQ9IiIgeG1sbnM6eG1wPSJodHRwOi8vbnMuYWRvYmUuY29tL3hhcC8xLjAvIiB4bWxuczp4bXBNTT0iaHR0cDovL25zLmFkb2JlLmNvbS94YXAvMS4wL21tLyIgeG1sbnM6c3RSZWY9Imh0dHA6Ly9ucy5hZG9iZS5jb20veGFwLzEuMC9zVHlwZS9SZXNvdXJjZVJlZiMiIHhtcDpDcmVhdG9yVG9vbD0iQWRvYmUgUGhvdG9zaG9wIENDIDIwMTQgKFdpbmRvd3MpIiB4bXBNTTpJbnN0YW5jZUlEPSJ4bXAuaWlkOkY3QTVENjA0NUNCNzExRUJBQ0U0RDYyNjE3QUI0OEE2IiB4bXBNTTpEb2N1bWVudElEPSJ4bXAuZGlkOkY3QTVENjA1NUNCNzExRUJBQ0U0RDYyNjE3QUI0OEE2Ij4gPHhtcE1NOkRlcml2ZWRGcm9tIHN0UmVmOmluc3RhbmNlSUQ9InhtcC5paWQ6RjdBNUQ2MDI1Q0I3MTFFQkFDRTRENjI2MTdBQjQ4QTYiIHN0UmVmOmRvY3VtZW50SUQ9InhtcC5kaWQ6RjdBNUQ2MDM1Q0I3MTFFQkFDRTRENjI2MTdBQjQ4QTYiLz4gPC9yZGY6RGVzY3JpcHRpb24+IDwvcmRmOlJERj4gPC94OnhtcG1ldGE+IDw/eHBhY2tldCBlbmQ9InIiPz72mxNbAAAAv0lEQVR42qxT2wrCMAyNk/kwf2BPfocoImjtfNSJ+P/fIdo1ciIhrg+RFQ49udKkCRFRyjiT/0TE0hUkKOMyo8uoAOaNsh8QcxNFgKKDvIK8ABJ0fI6Qo32SGPaQmddAgm4HfirVtVZPswkuuDdjgVxfC36HY1J2kR+QW9OTb0ctbAKNTw9mcOBOz1XAs1Birfgr413RROfvEiZroucbt6UyPIP0M4XBGFyj3I8sUwMHWaZoapYkPZklcv/cIMAAWB9NjsPBlKoAAAAASUVORK5CYII');
    background-repeat: no-repeat;
    background-position: center;
}

.leaflet-bar.leaflet-control .expand {
    background-color: #FFFFFF;
    background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAyZpVFh0WE1MOmNvbS5hZG9iZS54bXAAAAAAADw/eHBhY2tldCBiZWdpbj0i77u/IiBpZD0iVzVNME1wQ2VoaUh6cmVTek5UY3prYzlkIj8+IDx4OnhtcG1ldGEgeG1sbnM6eD0iYWRvYmU6bnM6bWV0YS8iIHg6eG1wdGs9IkFkb2JlIFhNUCBDb3JlIDUuNS1jMDIxIDc5LjE1NTc3MiwgMjAxNC8wMS8xMy0xOTo0NDowMCAgICAgICAgIj4gPHJkZjpSREYgeG1sbnM6cmRmPSJodHRwOi8vd3d3LnczLm9yZy8xOTk5LzAyLzIyLXJkZi1zeW50YXgtbnMjIj4gPHJkZjpEZXNjcmlwdGlvbiByZGY6YWJvdXQ9IiIgeG1sbnM6eG1wPSJodHRwOi8vbnMuYWRvYmUuY29tL3hhcC8xLjAvIiB4bWxuczp4bXBNTT0iaHR0cDovL25zLmFkb2JlLmNvbS94YXAvMS4wL21tLyIgeG1sbnM6c3RSZWY9Imh0dHA6Ly9ucy5hZG9iZS5jb20veGFwLzEuMC9zVHlwZS9SZXNvdXJjZVJlZiMiIHhtcDpDcmVhdG9yVG9vbD0iQWRvYmUgUGhvdG9zaG9wIENDIDIwMTQgKFdpbmRvd3MpIiB4bXBNTTpJbnN0YW5jZUlEPSJ4bXAuaWlkOjhFRUEzNzJCNUNCNzExRUJCMkUyOENBNkM0Rjk1MDUzIiB4bXBNTTpEb2N1bWVudElEPSJ4bXAuZGlkOjhFRUEzNzJDNUNCNzExRUJCMkUyOENBNkM0Rjk1MDUzIj4gPHhtcE1NOkRlcml2ZWRGcm9tIHN0UmVmOmluc3RhbmNlSUQ9InhtcC5paWQ6OEVFQTM3Mjk1Q0I3MTFFQkIyRTI4Q0E2QzRGOTUwNTMiIHN0UmVmOmRvY3VtZW50SUQ9InhtcC5kaWQ6OEVFQTM3MkE1Q0I3MTFFQkIyRTI4Q0E2QzRGOTUwNTMiLz4gPC9yZGY6RGVzY3JpcHRpb24+IDwvcmRmOlJERj4gPC94OnhtcG1ldGE+IDw/eHBhY2tldCBlbmQ9InIiPz5Ey43kAAAAtUlEQVR42mJgYGD4jwXHMWCCOBxq4YzbQOwPxGlArILFABWoHEjNTXQDTkLpEAbCIAiq9jSyAU5AHAZl1+HRXA1VEwnVAzcgD01BMxCzIGkEsRvRLMiFGRAOxGpIipuhEs5IYjDbWpHE1KB6sQIHIBZC4gtCxYYQcARiYSS+EFQMK0APxCZogLkQG4i4opEZSTEzvmikSkIiOykzQQXNgPgOEP8mIjP9BeJbQGwCk6AoOwMEGAA/BVK7HDXP8AAAAABJRU5ErkJggg');
    background-repeat: no-repeat;
    background-position: center;
}

div.leaflet-container.fullscreen {
    position: fixed !important;
    top: 0 !important;
    left: 0 !important;
    width: 100% !important;
    height: 100% !important;
}

.leaflet-bar.leaflet-control.leaflet-control-zoom.layer_control .accidents { background: white url('../img/eMap/all_accident.png') no-repeat center center; }
.leaflet-bar.leaflet-control.leaflet-control-zoom.layer_control .places    { background: white url('../img/eMap/CP.png') no-repeat center center; }
.leaflet-bar.leaflet-control.leaflet-control-zoom.layer_control .offences  { background: white url('../img/eMap/aps.png') no-repeat center center; }
.leaflet-bar.leaflet-control.leaflet-control-zoom.layer_control .speed_cam { background: white url('../img/eMap/sign_8.23.png') no-repeat center center; }
.leaflet-bar.leaflet-control.leaflet-control-zoom.layer_control .rc        { background: white url('../img/eMap/sign_1.2.png') no-repeat center center; }

.leaflet-bar.leaflet-control.leaflet-control-zoom.layer_control .disabled  { background-color: #a2a2a2 !important; filter: grayscale(100%) opacity(0.5); }
.leaflet-bar.leaflet-control.leaflet-control-zoom.layer_control .off       { background-color: #dcdcdc; filter: grayscale(100%); }
.leaflet-bar.leaflet-control.leaflet-control-zoom.layer_control .show      { background-color: #5971ff; filter: grayscale(100%); }
.leaflet-bar.leaflet-control.leaflet-control-zoom.layer_control .hide      { display: none; }

.noRoundButton label:before {
    content: "" !important;
    margin-right: 0;
    position: absolute;
    top: 3px;
    left: 0;
    background: none;
}
